package web

import (
	"log"

	"git.jmbit.de/filegate/filegate/web/ui"
	"github.com/spf13/viper"
)

func Router(production bool) {

	router := setupRouter(production)
	router = ui.GroupWeb(router)

	err := router.Run(viper.GetString("web.address"))
	if err != nil {
		log.Fatal(err)
	}
}
